Package com.databricks.jdbc.model.client.sqlexec

## Class ExecuteStatementResponse

- java.lang.Object
- - com.databricks.jdbc.model.client.sqlexec.ExecuteStatementResponse

    public class ExecuteStatementResponse
    extends Object

### Constructor Summary

Constructors
`ExecuteStatementResponse()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object o)`
`ResultManifest` `getManifest()`
`ResultData` `getResult()`
`String` `getStatementId()`
`com.databricks.sdk.service.sql.StatementStatus` `getStatus()`
`int` `hashCode()`
`ExecuteStatementResponse` `setManifest​(ResultManifest manifest)`
`ExecuteStatementResponse` `setResult​(ResultData result)`
`ExecuteStatementResponse` `setStatementId​(String statementId)`
`ExecuteStatementResponse` `setStatus​(com.databricks.sdk.service.sql.StatementStatus status)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExecuteStatementResponse

    public ExecuteStatementResponse()

### Method Detail

#### setManifest

    public ExecuteStatementResponse setManifest​(ResultManifest manifest)

#### getManifest

    public ResultManifest getManifest()

#### setResult

    public ExecuteStatementResponse setResult​(ResultData result)

#### getResult

    public ResultData getResult()

#### setStatementId

    public ExecuteStatementResponse setStatementId​(String statementId)

#### getStatementId

    public String getStatementId()

#### setStatus

    public ExecuteStatementResponse setStatus​(com.databricks.sdk.service.sql.StatementStatus status)

#### getStatus

    public com.databricks.sdk.service.sql.StatementStatus getStatus()

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`